WordPress.org

Support

Support » Installation » [Resolved] Automatic Update Failure – 2.7.1

[Resolved] Automatic Update Failure – 2.7.1

  • Hi all,

    Is anyone else receiving errors for automatic updates to 2.7.1? I can’t update on any of my wordpress sites (3)

    Receiving the same error..see below:

    Downloading update from http://wordpress.org/wordpress-2.7.1.zip

    Unpacking the core update

    Fatal error: Cannot redeclare pclziputilpathreduction() (previously declared in /home/hhjjk/public_html/wp-content/plugins/wordpress-automatic-upgrade/lib/pclzip.lib.php:5421) in /home/hhjjk/public_html/wp-admin/includes/class-pclzip.php on line 5498

    Any ideas?

Viewing 12 replies - 1 through 12 (of 12 total)
  • poeticdiligence
    Member

    @poeticdiligence

    I’m having the same problem. I hope people have ideas.

    Samuel B
    Participant

    @samboll

    deactivate and delete the
    wordpress auto upgrade plugin
    since 2.7 it is built in and the plugin is conflicting

    poeticdiligence
    Member

    @poeticdiligence

    It worked. Thank you so much.

    great, definitely worked after deactivating/deleteing auto upgrade. Thanks samboll.

    When I try to update to 2.7.1 I receive the following error message.
    “You do not have sufficient permissions to access this page.”
    I did remove the upgrade plug in but is still receive the same error message. I would appreciate any help you could give.
    Peace,
    Don

    don1np – could be another plugin causing the problem. If you can’t deactivate them you may have to backup your wp-content/plugins folder, then delete everything in the folder, see if you can access your blog, then restore the plugins.

    Or you can try deleting the plugins, one-by-one, until you find the culprit.

    chorpianeur
    Member

    @chorpianeur

    I’ve got a serious problem here, too… Neither the automatic plugin update nor that automatic wordpress update would work.

    Both updates tell me first that the new file is downloading but then stop completely -and won’t tell me anything anymore…

    In my FTP browser I can see that there is a file called ‘wordpress-271-de_de.zip’ but its size is 0 bytes, so the download started, wordpress created the file but then stopped…?

    Can please anyone help me somehow? I’m definitely freakin’ out some day… Thank you in advance! 🙂

    jeremycherfas
    Member

    @jeremycherfas

    Thanks. I had the same problem, deleted the plugin, and everything worked fine.

    Michael, Thanks. I manually upgraded to 2.7.1. And It seemed to take. But I have no images and themes are not working. The images or pictures I have in the blog do not show up. They are on the server but do not display. And the images with themes do not work including the classic and default. So that is very frustrating. I have disabled all the plug-ins uploaded all the files again and again–with no result. The site is at http://www.drku.org. Thanks for your help.
    Peace,
    Don

    Michael, I did get the themes to work. Change permissions. But there are no images in the post. Any ideas?
    Peace,
    Don

    Got it, changed the permissions on the upload folder and bingo there they were. I have no Idea how the permissions were changed. But it all seems to work now.
    Peace,
    Don

    Yes, something we ignore the directory permissions.

Viewing 12 replies - 1 through 12 (of 12 total)
  • The topic ‘[Resolved] Automatic Update Failure – 2.7.1’ is closed to new replies.